Summary:	Datovka is a free graphical interface for 'Datove schranky'
Name:		datovka
Version:	4.25.0
Release:	%mkrel 1
License:	GPLv3
Group:		Office/Utilities
URL:		https://www.datovka.cz/cs/
Source0:	https://datovka.nic.cz/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(libdatovka) >= 0.7.0
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	gettext-devel
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6SvgWidgets)
BuildRequires:	cmake(Qt6WebSockets)
BuildRequires:	cmake(Qt6Widgets)

Requires:	qtbase6-database-plugin-sqlite

Obsoletes:	dsgui
Obsoletes:	sudsds
Obsoletes:	dslib

%description
Datovka, successor of dsgui an old Datovka is a GUI application
allowing access to a 'Databox' - an electronic communication
interface endorsed by the Czech government.

%prep
%setup -q

%build
%_qt6_bindir/lrelease %{name}.pro
%qmake_qt6 PREFIX=%{_prefix} DISABLE_VERSION_CHECK_BY_DEFAULT=1
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.metainfo.xml


%changelog
* Mon Jan 06 2025 daviddavid <daviddavid> 4.25.0-1.mga10
+ Revision: 2135714
- new version: 4.25.0

* Mon Sep 02 2024 daviddavid <daviddavid> 4.24.2-1.mga10
+ Revision: 2092681
- new version: 4.24.2

* Mon Aug 19 2024 daviddavid <daviddavid> 4.24.1-1.mga10
+ Revision: 2087001
- new version: 4.24.1

* Tue Jun 18 2024 daviddavid <daviddavid> 4.24.0-1.mga10
+ Revision: 2075009
- new version: 4.24.0

* Mon May 20 2024 daviddavid <daviddavid> 4.23.8-1.mga10
+ Revision: 2065262
- new version: 4.23.8

* Mon May 06 2024 daviddavid <daviddavid> 4.23.7-1.mga10
+ Revision: 2062568
- new version: 4.23.7

* Wed Feb 14 2024 daviddavid <daviddavid> 4.23.6-1.mga10
+ Revision: 2041169
- new version: 4.23.6

* Sun Jan 21 2024 daviddavid <daviddavid> 4.23.3-1.mga10
+ Revision: 2033355
- new version: 4.23.3

* Fri Dec 29 2023 daviddavid <daviddavid> 4.23.2-1.mga10
+ Revision: 2024042
- new version: 4.23.2

* Fri Nov 24 2023 daviddavid <daviddavid> 4.22.1-3.mga10
+ Revision: 2009432
- rebuild for new libdatovka 0.5.1

* Thu Sep 07 2023 daviddavid <daviddavid> 4.22.1-2.mga10
+ Revision: 1984968
- rebuild for new libdatovka 0.4.0

* Fri Sep 01 2023 daviddavid <daviddavid> 4.22.1-1.mga10
+ Revision: 1983302
- new version: 4.22.1

* Sun Feb 19 2023 daviddavid <daviddavid> 4.22.0-1.mga9
+ Revision: 1944078
- new version: 4.22.0

* Wed Jan 04 2023 daviddavid <daviddavid> 4.21.1-2.mga9
+ Revision: 1929833
- switch to Qt6

* Tue Nov 22 2022 daviddavid <daviddavid> 4.21.1-1.mga9
+ Revision: 1910112
- new version: 4.21.1

* Sun Nov 06 2022 daviddavid <daviddavid> 4.21.0-1.mga9
+ Revision: 1904226
- new version: 4.21.0

* Tue Apr 05 2022 umeabot <umeabot> 4.17.0-3.mga9
+ Revision: 1844531
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 4.17.0-2.mga9
+ Revision: 1747524
- rebuild for openssl 3.0.0

* Fri Apr 16 2021 daviddavid <daviddavid> 4.17.0-1.mga9
+ Revision: 1715944
- new version: 4.17.0

* Fri Mar 05 2021 daviddavid <daviddavid> 4.16.0-1.mga9
+ Revision: 1698895
- new version: 4.16.0
- add libdatovka build requirement as it replace now libisds

* Wed Dec 16 2020 umeabot <umeabot> 4.15.6-2.mga8
+ Revision: 1658318
- Rebuild for new Qt5

* Tue Nov 24 2020 daviddavid <daviddavid> 4.15.6-1.mga8
+ Revision: 1648938
- new version: 4.15.6

* Thu Oct 22 2020 daviddavid <daviddavid> 4.15.5-1.mga8
+ Revision: 1638295
- new version: 4.15.5

* Wed Oct 14 2020 daviddavid <daviddavid> 4.15.4-1.mga8
+ Revision: 1635574
- new version: 4.15.4

* Tue Sep 22 2020 daviddavid <daviddavid> 4.15.3-1.mga8
+ Revision: 1629437
- new version: 4.15.3

* Mon Aug 31 2020 daviddavid <daviddavid> 4.15.2-1.mga8
+ Revision: 1620384
- new version: 4.15.2

* Sat Jul 11 2020 daviddavid <daviddavid> 4.15.1-1.mga8
+ Revision: 1604814
- new version: 4.15.1

* Thu Mar 05 2020 daviddavid <daviddavid> 4.15.0-1.mga8
+ Revision: 1553990
- new version: 4.15.0

* Tue Feb 18 2020 umeabot <umeabot> 4.14.1-2.mga8
+ Revision: 1538431
- Mageia 8 Mass Rebuild

* Thu Nov 21 2019 daviddavid <daviddavid> 4.14.1-1.mga8
+ Revision: 1462019
- new version: 4.14.1

* Wed Sep 25 2019 daviddavid <daviddavid> 4.14.0-1.mga8
+ Revision: 1445859
- new version: 4.14.0

* Thu Jul 04 2019 daviddavid <daviddavid> 4.13.1-1.mga8
+ Revision: 1418257
- new version: 4.13.1

* Thu Apr 18 2019 daviddavid <daviddavid> 4.13.0-1.mga7
+ Revision: 1393253
- new version: 4.13.0

* Sat Mar 30 2019 umeabot <umeabot> 4.12.0-2.mga7
+ Revision: 1381525
- Qt5 Rebuild

* Thu Feb 07 2019 daviddavid <daviddavid> 4.12.0-1.mga7
+ Revision: 1363739
- new version: 4.12.0

* Fri Nov 02 2018 daviddavid <daviddavid> 4.11.1-1.mga7
+ Revision: 1327617
- new version: 4.11.1

* Sun Oct 21 2018 daviddavid <daviddavid> 4.11.0-1.mga7
+ Revision: 1323437
- new version: 4.11.0

* Sun Sep 23 2018 umeabot <umeabot> 4.10.1-2.mga7
+ Revision: 1297404
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 supp <supp> 4.10.1-1.mga7
+ Revision: 1188625
-bump to 4.10.1

* Sat Sep 23 2017 daviddavid <daviddavid> 4.9.3-1.mga7
+ Revision: 1158141
- new version: 4.9.3

* Sun Jul 24 2016 supp <supp> 4.6.1-1.mga6
+ Revision: 1043524
- upgrade to version 4.6.1

* Wed May 11 2016 daviddavid <daviddavid> 4.6.0-1.mga6
+ Revision: 1012427
- new version: 4.6.0

* Thu Mar 10 2016 daviddavid <daviddavid> 4.5.2-1.mga6
+ Revision: 988745
- new version: 4.5.2
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 09 2015 supp <supp> 4.4.2-1.mga6
+ Revision: 909183
- update to 4.4.2

* Wed Nov 04 2015 daviddavid <daviddavid> 4.4.1-1.mga6
+ Revision: 897839
- new version: 4.4.1

* Mon Oct 26 2015 daviddavid <daviddavid> 4.4.0-1.mga6
+ Revision: 895562
- new version: 4.4.0
- update file list

* Sat Oct 24 2015 daviddavid <daviddavid> 4.1.0-1.mga6
+ Revision: 894891
- use qmake_qt5 macro
- update BuildRequires and Requires
- fix owner of data dir

* Sun Feb 01 2015 supp <supp> 4.1.0-1.mga5
+ Revision: 812955
- update to 4.1.0

* Sun Dec 21 2014 supp <supp> 4.0.2-1.mga5
+ Revision: 804577
- fix .desktop file
- add missing BuildReq
- minor SPEC cleanup
- update do 4.0.2

* Wed Oct 15 2014 umeabot <umeabot> 3.0.3-8.mga5
+ Revision: 741696
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.0.3-7.mga5
+ Revision: 726070
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.0.3-6.mga5
+ Revision: 678674
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.0.3-5.mga5
+ Revision: 628150
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.0.3-4.mga4
+ Revision: 542529
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 3.0.3-3.mga4
+ Revision: 497683
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 3.0.3-2.mga3
+ Revision: 348622
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Office/Other -> Office/Utilities

* Tue Jan 08 2013 supp <supp> 3.0.3-1.mga3
+ Revision: 342979
- update to 3.0.3, fixing incorrect message sorting issue

* Wed Jan 02 2013 supp <supp> 3.0.2-1.mga3
+ Revision: 337730
- update to 3.0.2, bringing many new features

* Fri Nov 02 2012 supp <supp> 2.1.2-2.mga3
+ Revision: 312588
- fix minimum dslib version dependency

* Mon Oct 29 2012 dams <dams> 2.1.2-1.mga3
+ Revision: 311375
- update %%group
- new version 2.1.2

* Mon Jul 30 2012 supp <supp> 2.1.1-1.mga3
+ Revision: 276146
- update to 2.1.1, fixing several minor bugs and adding new CA cert for DataBox

* Sat Jun 30 2012 supp <supp> 2.0.2-3.mga3
+ Revision: 265643
- bump for cauldron
- update to 2.0.2, fixing serious bug which may corrupt data when using multiple accounts

* Sat Mar 03 2012 supp <supp> 2.0-1.mga2
+ Revision: 217264
- update to 2.0, allowing access to new features of DataBox

* Thu Dec 08 2011 supp <supp> 1.7-1.mga2
+ Revision: 178922
- imported package datovka

